;-| Button Remapping |-----------------------------------------------------
[Remap]
a = a	;弱攻撃
b = b	;強攻撃
c = c	;ジャンプ
x = x	;ガード
y = y	;上攻撃（格闘ゲーム風操作時のみ有効）
z = z	;魔法攻撃
s = s	;

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery_old";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

[Command]
name = "recovery"
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;===========================================================================

[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;上弱攻撃（地上）
[State -1, 8A]
type = ChangeState
value = 1020
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl
trigger1 = Var(51) = 1
trigger1 = Command = "a"
trigger1 = Command = "holdup"
trigger2 = Var(51) = 0
trigger2 = Command = "y"

;---------------------------------------------------------------------------
;上弱攻撃（空中）
[State -1, 8A(Air)]
type = ChangeState
value = 1021
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl
trigger1 = Var(51) = 1
trigger1 = Command = "a"
trigger1 = Command = "holdup"
trigger2 = Var(51) = 0
trigger2 = Command = "y"

;---------------------------------------------------------------------------
;下弱攻撃（地上）
[State -1, 2A]
type = ChangeState
value = 1040
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
triggerall = Command = "holddown"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;下弱攻撃（空中）
[State -1, 2A(Air)]
type = ChangeState
value = 1041
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
triggerall = Command = "holddown"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;弱攻撃（地上）
[State -1, A]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;弱攻撃（空中）
[State -1, 5A(Air)]
type = ChangeState
value = 1001
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;上強攻撃（地上）
[State -1, 8B]
type = ChangeState
value = 1120
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl
triggerall = NumHelper(11125) + NumHelper(11145) < 2
trigger1 = Var(51) = 1
trigger1 = Command = "b"
trigger1 = Command = "holdup"
trigger2 = Var(51) = 0
trigger2 = Command = "y"
trigger2 = Command = "holddown"

;---------------------------------------------------------------------------
;上強攻撃（空中）
[State -1, 8B(Air)]
type = ChangeState
value = 1121
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = Var(51) = 1
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdup"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 53
trigger3 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051

;---------------------------------------------------------------------------
;上強攻撃（空中）
[State -1, 8B(Air)]
type = ChangeState
value = 1121
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = Var(51) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "y"
triggerall = Command = "holddown"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 53
trigger3 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051

;---------------------------------------------------------------------------
;下強攻撃（地上）
[State -1, 8B]
type = ChangeState
value = 1140
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holddown"
triggerall = NumHelper(11125) + NumHelper(11145) < 2
trigger1 = Ctrl

;---------------------------------------------------------------------------
;下強攻撃（空中）
[State -1, 2B(Air)]
type = ChangeState
value = 1141
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holddown"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 53
trigger3 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051

;---------------------------------------------------------------------------
;横強攻撃（地上）
[State -1, B]
type = ChangeState
value = 1200
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1010 || StateNo = 1030 || StateNo = 1050 || StateNo = 1110
trigger2 = AnimElemTime(1) > 1

;---------------------------------------------------------------------------
;横強攻撃（空中）
[State -1, B(Air)]
type = ChangeState
value = 1201
triggerall = Var(59) = 0
triggerall = Var(53) = 1
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 1111 || StateNo = 1131 || StateNo = 1151
trigger3 = AnimElemTime(1) > 1
trigger4 = StateNo = 53
trigger4 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051
trigger5 = StateNo = 53
trigger5 = PrevStateNo = 1111 || PrevStateNo = 1131 || PrevStateNo = 1151

;---------------------------------------------------------------------------
;強攻撃（地上）
[State -1, B]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
trigger1 = Ctrl
trigger2 = StateNo = 1010 || StateNo = 1030 || StateNo = 1050
trigger2 = AnimElemTime(1) > 1

;---------------------------------------------------------------------------
;強攻撃（空中）
[State -1, B(Air)]
type = ChangeState
value = 1101
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 53
trigger3 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051

;---------------------------------------------------------------------------
;魔法攻撃（地上）
[State -1, Z]
type = ChangeState
value = 2000
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Power >= 1000
triggerall = Command = "z"
trigger1 = Ctrl
trigger2 = StateNo = 1010 || StateNo = 1030 || StateNo = 1050 || StateNo = 1110
trigger2 = AnimElemTime(1) > 1

;---------------------------------------------------------------------------
;魔法攻撃（空中）
[State -1, Z(Air)]
type = ChangeState
value = 2001
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Power >= 1000
triggerall = Command = "z"
trigger1 = Ctrl
trigger2 = StateNo = 1011 || StateNo = 1031 || StateNo = 1051 || StateNo = 1111
trigger2 = AnimElemTime(1) > 1
trigger3 = StateNo = 53
trigger3 = PrevStateNo = 1011 || PrevStateNo = 1031 || PrevStateNo = 1051 || PrevStateNo = 1111

;===========================================================================
;---------------------------------------------------------------------------
;ジャンプ
[State -1, Jump]
type = ChangeState
value = 41
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl
trigger1 = Var(51) = 0
trigger1 = Var(5) = 1
trigger2 = Var(51) = 1
trigger2 = Command = "c"

;---------------------------------------------------------------------------
;空中ジャンプ
[State -1, Air Jump]
type = ChangeState
value = 45
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl || StateNo = 53
triggerall = Var(1) < 1
trigger1 = Var(51) = 0
trigger1 = Var(5) = 1
trigger2 = Var(51) = 1
trigger2 = Command = "c"

;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "FF"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "BB"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;ガード
[State -1, Guard]
Type = ChangeState
Value = 120
triggerall = Var(59) = 0
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "holdx"
trigger1 = Ctrl || StateNo = 53
trigger1 = Var(51) = 1
trigger1 = Var(52) = 1

;===========================================================================
